#include "armcontrolgui.h"
#include "ui_armcontrolgui.h"

ArmControlGui::ArmControlGui(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::ArmControlGui)
{
    blockName = "";
    joints.resize(16);
    for (int i = 0; i < joints.size(); i++) {
        joints[i] = 0;
    }
    joints[3] = 16;
    joints[7] = 60;
    ui->setupUi(this);
}
void ArmControlGui::enableVelocity(bool velocity) {
    if (velocity) {
        ui->joint0->setRange(-50,50);
        ui->joint0->setSliderPosition(0);
        ui->joint1->setRange(-50,50);
        ui->joint1->setSliderPosition(0);
        ui->joint2->setRange(-50,50);
        ui->joint2->setSliderPosition(0);
        ui->joint3->setRange(-50,50);
        ui->joint3->setSliderPosition(0);
        ui->joint4->setRange(-50,50);
        ui->joint4->setSliderPosition(0);
        ui->joint5->setRange(-50,50);
        ui->joint5->setSliderPosition(0);
        ui->joint6->setRange(-50,50);
        ui->joint6->setSliderPosition(0);
        ui->joint7->setRange(-50,50);
        ui->joint7->setSliderPosition(0);
        ui->joint8->setRange(-50,50);
        ui->joint8->setSliderPosition(0);
        ui->joint9->setRange(-50,50);
        ui->joint9->setSliderPosition(0);
        ui->joint10->setRange(-50,50);
        ui->joint10->setSliderPosition(0);
        ui->joint11->setRange(-50,50);
        ui->joint11->setSliderPosition(0);
        ui->joint12->setRange(-50,50);
        ui->joint12->setSliderPosition(0);
        ui->joint13->setRange(-50,50);
        ui->joint13->setSliderPosition(0);
        ui->joint14->setRange(-50,50);
        ui->joint14->setSliderPosition(0);
        ui->joint15->setRange(-50,50);
        ui->joint15->setSliderPosition(0);
    }
}
void ArmControlGui::setName(const char *name)
{
    ui->windowName->setText(name);
}

ArmControlGui::~ArmControlGui()
{
    delete ui;
}

void ArmControlGui::on_joint0_valueChanged(int value)
{
    joints[0] = value;
    ui->joint0_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint1_valueChanged(int value)
{
    joints[1] = value;
    ui->joint1_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint2_valueChanged(int value)
{
    joints[2] = value;
    ui->joint2_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint3_valueChanged(int value)
{
    joints[3] = value;
    ui->joint3_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint4_valueChanged(int value)
{
    joints[4] = value;
    ui->joint4_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint5_valueChanged(int value)
{
    joints[5] = value;
    ui->joint5_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint6_valueChanged(int value)
{
    joints[6] = value;
    ui->joint6_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint7_valueChanged(int value)
{
    joints[7] = value;
    ui->joint7_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint8_valueChanged(int value)
{
    joints[8] = value;
    ui->joint8_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint9_valueChanged(int value)
{
    joints[9] = value;
    ui->joint9_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint10_valueChanged(int value)
{
    joints[10] = value;
    ui->joint10_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint11_valueChanged(int value)
{
    joints[11] = value;
    ui->joint11_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint12_valueChanged(int value)
{
    joints[12] = value;
    ui->joint12_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint13_valueChanged(int value)
{
    joints[13] = value;
    ui->joint13_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint14_valueChanged(int value)
{
    joints[14] = value;
    ui->joint14_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}
void ArmControlGui::on_joint15_valueChanged(int value)
{
    joints[15] = value;
    ui->joint15_text->setNum(value);
    Space::getSpace()->write<yarp::sig::Vector>(blockName,joints, 0, 1.0);
}



